DECLARE	@DataType as char(1),
	@Output as nvarchar(max),
	@Succeeded as bit;

-- *****************
-- run this script 3 times with diff. parameters for the below
--    variable	@DataType => P(for products related data)
--				@DataType => O(for orders related data)
--				@DataType => S(for Session related data)
SET @DataType = '';

	
	DECLARE @tblName as nvarchar(250), @trigName as nvarchar(250), 
			@spName as nvarchar(250), @startingIdentity as int,
			@sqlChkRcrds as nvarchar(1000), 
			@sqlStmt as nvarchar(1000), @Counter as integer,
			@languageTableTypeID as tinyint;

	-- IF because newer Kartris versions (2.0) don't have triggers
	--IF object_id('_spKartrisDB_DisableAllTriggers') IS NOT NULL
	--BEGIN
		--EXEC dbo._spKartrisDB_DisableAllTriggers;
	--END



	--PRINT '--------------------------------------------------------------';
	--PRINT '=> Cleaning records (Products Related)  (execution started ...)';
	--PRINT '--------------------------------------------------------------';

	IF @DataType = 'P'
	BEGIN
		DECLARE crsrKartrisRelatedTables CURSOR FOR
		SELECT ART_TableName, ART_TableStartingIdentity
		FROM    tblKartrisAdminRelatedTables
		WHERE		ART_TableOrderProducts IS NOT NULL
		ORDER BY	ART_TableOrderProducts
		DELETE FROM tblKartrisCustomerGroupPrices;
		DELETE FROM tblKartrisCreditCards;
	END
	IF @DataType = 'O'
	BEGIN
		DECLARE crsrKartrisRelatedTables CURSOR FOR
		SELECT ART_TableName, ART_TableStartingIdentity
		FROM    tblKartrisAdminRelatedTables
		WHERE		ART_TableOrderOrders IS NOT NULL
		ORDER BY	ART_TableOrderOrders
	END
	IF @DataType = 'S'
	BEGIN
		DECLARE crsrKartrisRelatedTables CURSOR FOR
		SELECT ART_TableName, ART_TableStartingIdentity
		FROM    tblKartrisAdminRelatedTables
		WHERE		ART_TableOrderSessions IS NOT NULL
		ORDER BY	ART_TableOrderSessions
	END
	
	 -- DONT REMOVE THE BELOW LINE
	 -- [Kartris v1.4+ Replacement]
	
	
	OPEN crsrKartrisRelatedTables
	FETCH NEXT FROM crsrKartrisRelatedTables
	INTO @tblName, @startingIdentity;
	
	SET @Output = '<br/>';
	SET @Counter = 0;
	WHILE @@FETCH_STATUS = 0
	BEGIN

		SET @sqlChkRcrds = 'SELECT 1 FROM ' + @tblName
		SET @Counter = @Counter + 1;		
		SET @sqlStmt = 'DELETE TOP (1000) FROM ' + @tblName
		IF @tblName = 'tblKartrisCategories' 
		BEGIN
			SET @sqlStmt = @sqlStmt + ' WHERE CAT_ID <> 0'
		END
		
		WHILE @@ROWCOUNT > 0
		BEGIN
			EXECUTE(@sqlStmt)	
		END
		
		SELECT @languageTableTypeID = LET_ID 
		FROM tblKartrisLanguageElementTypes
		WHERE LET_Name = @tblName;

		SET @sqlChkRcrds = 'SELECT 1 FROM tblKartrisLanguageElements WHERE LE_TypeID=' 
						+ CAST(@languageTableTypeID as nvarchar(5)) + ';'

		SET @sqlStmt = 'DELETE FROM tblKartrisLanguageElements WHERE LE_TypeID=' 
						+ CAST(@languageTableTypeID as nvarchar(5)) + ';'
		WHILE @@ROWCOUNT > 0
		BEGIN
			BEGIN TRY
				EXECUTE(@sqlStmt);
			END TRY
			BEGIN CATCH
			END CATCH
		END

		SET @Output = @Output + '	-->  ' + @tblName + ' cleared successfully.<br/>';
		IF @startingIdentity  IS NOT NULL
		BEGIN 
			SET @sqlStmt = 'DBCC CHECKIDENT (''' + @tblName + ''', RESEED, ' + CAST(@startingIdentity As nvarchar(5)) + ');'
			EXECUTE(@sqlStmt);
			--PRINT '		Table: ' + @tblName + ' reseeded successfully to ' + CAST(@startingIdentity As nvarchar(5));
		END

		--PRINT '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^';
		FETCH NEXT FROM crsrKartrisRelatedTables
		INTO @tblName, @startingIdentity;
	END
	
	CLOSE crsrKartrisRelatedTables
	DEALLOCATE crsrKartrisRelatedTables;	
	--PRINT '(execution finished ...)';
	--PRINT '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^';
	--PRINT CAST(@Counter as nvarchar(10)) + ' Objects Affected.';
	--PRINT '';
 
	SET @Output = @Output + '-------------------------------------------------------------------------<br/>';
	SET @Output = @Output + CAST(@Counter as nvarchar(10)) + ' tables affected.<br/>';
	SET @Output = @Output + '-------------------------------------------------------------------------<br/>';
	
	DECLARE	@TablesList as nvarchar(max);
	SET @TablesList = '';
	
	IF CHARINDEX(',AdminLog,',@TablesList) > 0 BEGIN
		DELETE FROM dbo.tblKartrisAdminLog;
		DBCC CHECKIDENT (tblKartrisAdminLog, RESEED, 0);
	END
	
	IF CHARINDEX(',Pages,',@TablesList) > 0 BEGIN
		DELETE FROM tblKartrisLanguageElements WHERE LE_TypeID=8;
		DELETE FROM dbo.tblKartrisPages;
		DBCC CHECKIDENT (tblKartrisPages, RESEED, 0);
	END
	
	IF CHARINDEX(',News,',@TablesList) > 0 BEGIN	
		DELETE FROM tblKartrisLanguageElements WHERE LE_TypeID=16;
		DELETE FROM dbo.tblKartrisNews;
		DBCC CHECKIDENT (tblKartrisNews, RESEED, 0);
	END
	
	IF CHARINDEX(',Knowledgebase,',@TablesList) > 0 BEGIN	
		DELETE FROM tblKartrisLanguageElements WHERE LE_TypeID=17;
		DELETE FROM dbo.tblKartrisKnowledgeBase;
		DBCC CHECKIDENT (tblKartrisKnowledgeBase, RESEED, 0);
	END
	
	IF CHARINDEX(',Logins,',@TablesList) > 0 BEGIN	
		DELETE FROM dbo.tblKartrisLogins;
		DBCC CHECKIDENT (tblKartrisLogins, RESEED, 0);
	END
			
	IF CHARINDEX(',SavedExports,',@TablesList) > 0 BEGIN
		DELETE FROM dbo.tblKartrisSavedExports
		DBCC CHECKIDENT (tblKartrisSavedExports, RESEED, 0);
	END
		
	IF CHARINDEX(',Currencies,',@TablesList) > 0 BEGIN
		DELETE FROM tblKartrisLanguageElements WHERE LE_TypeID=13;
		DELETE FROM dbo.tblKartrisCurrencies;
		DBCC CHECKIDENT (tblKartrisCurrencies, RESEED, 0);
	END
	
	IF CHARINDEX(',ShippingRates,',@TablesList) > 0 BEGIN
		DELETE FROM dbo.tblKartrisShippingRates;
		DBCC CHECKIDENT (tblKartrisShippingRates, RESEED, 0);
	END	
		
	IF CHARINDEX(',Destination,',@TablesList) > 0 BEGIN
		DELETE FROM tblKartrisLanguageElements WHERE LE_TypeID=11;
		DELETE FROM dbo.tblKartrisDestination;
		DBCC CHECKIDENT (tblKartrisDestination, RESEED, 0);
	END	
	
	IF CHARINDEX(',ShippingZones,',@TablesList) > 0 BEGIN
		DELETE FROM tblKartrisLanguageElements WHERE LE_TypeID=10;
		DELETE FROM dbo.tblKartrisShippingZones;
		DBCC CHECKIDENT (tblKartrisShippingZones, RESEED, 0);
	END
	
	IF CHARINDEX(',ShippingMethods,',@TablesList) > 0 BEGIN
		DELETE FROM tblKartrisLanguageElements WHERE LE_TypeID=9;
		DELETE FROM dbo.tblKartrisShippingMethods;
		DBCC CHECKIDENT (tblKartrisShippingMethods, RESEED, 0);
	END

	--IF object_id('_spKartrisDB_DisableAllTriggers') IS NOT NULL
	--BEGIN
		--EXEC dbo._spKartrisDB_EnableAllTriggers;
	--END

	SET @Succeeded = 1;	