DECLARE	@DataType as char(1),
	@Output as nvarchar(max),
	@Succeeded as bit;

-- *****************
-- run this script 3 times with diff. parameters for the below
--    variable	@DataType => P(for products related data)
--				@DataType => O(for orders related data)
--				@DataType => S(for Session related data)
SET @DataType = '';

	
	DECLARE @tblName as nvarchar(250), @trigName as nvarchar(250), 
			@spName as nvarchar(250), @startingIdentity as int,
			@sqlStmt as nvarchar(1000), @Counter as integer,
			@languageTableTypeID as tinyint;

	-- TRY LOOP, because newer Kartris versions (2.0) don't have triggers
	BEGIN TRY
		EXEC dbo._spKartrisDB_DisableAllTriggers;
	END TRY
	BEGIN CATCH
		-- nothing at moment
	END CATCH;
	GO


	--PRINT '--------------------------------------------------------------';
	--PRINT '=> Cleaning records (Products Related)  (execution started ...)';
	--PRINT '--------------------------------------------------------------';

	IF @DataType = 'P'
	BEGIN
		DECLARE crsrKartrisRelatedTables CURSOR FOR
		SELECT ART_TableName, ART_TableStartingIdentity
		FROM    tblKartrisAdminRelatedTables
		WHERE		ART_TableOrderProducts IS NOT NULL
		ORDER BY	ART_TableOrderProducts
		DELETE FROM tblKartrisCustomerGroupPrices;
		DELETE FROM tblKartrisCreditCards;
	END
	
	OPEN crsrKartrisRelatedTables
	FETCH NEXT FROM crsrKartrisRelatedTables
	INTO @tblName, @startingIdentity;
	
	SET @Output = '<br/>';
	SET @Counter = 0;
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @Counter = @Counter + 1;		
		SET @sqlStmt = 'DELETE FROM ' + @tblName
		IF @tblName = 'tblKartrisCategories' 
		BEGIN
			SET @sqlStmt = @sqlStmt + ' WHERE CAT_ID <> 0'
		END
		EXECUTE(@sqlStmt)
		
		SELECT @languageTableTypeID = LET_ID 
		FROM tblKartrisLanguageElementTypes
		WHERE LET_Name = @tblName;

		SET @sqlStmt = 'DELETE FROM tblKartrisLanguageElements WHERE LE_TypeID=' 
						+ CAST(@languageTableTypeID as nvarchar(5)) + ';'
		BEGIN TRY
			EXECUTE(@sqlStmt);
		END TRY
		BEGIN CATCH
		END CATCH

		SET @Output = @Output + '	-->  ' + @tblName + ' cleared successfully.<br/>';
		IF @startingIdentity  IS NOT NULL
		BEGIN 
			SET @sqlStmt = 'DBCC CHECKIDENT (''' + @tblName + ''', RESEED, ' + CAST(@startingIdentity As nvarchar(5)) + ');'
			EXECUTE(@sqlStmt);
			--PRINT '		Table: ' + @tblName + ' reseeded successfully to ' + CAST(@startingIdentity As nvarchar(5));
		END

		--PRINT '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^';
		FETCH NEXT FROM crsrKartrisRelatedTables
		INTO @tblName, @startingIdentity;
	END
	
	CLOSE crsrKartrisRelatedTables
	DEALLOCATE crsrKartrisRelatedTables;	
	--PRINT '(execution finished ...)';
	--PRINT '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^';
	--PRINT CAST(@Counter as nvarchar(10)) + ' Objects Affected.';
	--PRINT '';

	SET @Output = @Output + '-------------------------------------------------------------------------<br/>';
	SET @Output = @Output + CAST(@Counter as nvarchar(10)) + ' tables affected.<br/>';
	SET @Output = @Output + '-------------------------------------------------------------------------<br/>';

	-- TRY LOOP, because newer Kartris versions (2.0) don't have triggers
	BEGIN TRY
		EXEC dbo._spKartrisDB_EnableAllTriggers;
	END TRY
	BEGIN CATCH
		-- nothing at moment
	END CATCH;
	GO

	SET @Succeeded = 1;	